Index: code/branches/hoverHS15/data/levels/Hover.oxw
===================================================================
--- code/branches/hoverHS15/data/levels/Hover.oxw	(revision 10926)
+++ code/branches/hoverHS15/data/levels/Hover.oxw	(revision 10928)
@@ -30,5 +30,5 @@
     ambientlight = "0.8, 0.8, 0.8"
     skybox       = "Orxonox/Starbox"
-    gravity      = "0, -100, 0"
+    gravity      = "0, -200, 0"
   >
  
@@ -39,8 +39,4 @@
   <StaticEntity position="0,0,0" collisionType="static">
     <attached>
-      <Model position="500, 0, 0" yaw="0" pitch="0" roll="0" scale3D="500, 30, 2" mesh="cube_red.mesh" />
-      <Model position="500, 0, 1000" yaw="0" pitch="0" roll="0" scale3D="500, 30, 2" mesh="cube_red.mesh" />      
-      <Model position="0, 0, 500" yaw="0" pitch="0" roll="0" scale3D="2, 30, 500" mesh="cube_green.mesh" />      
-      <Model position="1000, 0, 500" yaw="0" pitch="0" roll="0" scale3D="2, 30, 500" mesh="cube_green.mesh" />
     </attached> 
     <collisionShapes>
@@ -55,7 +51,8 @@
   <StaticEntity position="0,0,0" collisionType="static">
     <attached>
-      <Model position="500, -10,500" yaw="0" pitch="0" roll="0" scale3D="500, 10, 500" mesh="CubeGround.mesh" />     
+      <Model position="500, -16,500" yaw="0" pitch="0" roll="0" scale3D="500, 16, 500" mesh="CubeGround.mesh" />     
     </attached> 
     <collisionShapes>
+      <BoxCollisionShape yaw="0" pitch="0" roll="0" position="0,500,0" halfExtents="10000, 1, 10000" />
       <BoxCollisionShape yaw="0" pitch="0" roll="0" position="0,-10,0" halfExtents="10000, 10, 10000" />
       <BoxCollisionShape yaw="0" pitch="0" roll="0" position="500, 0,0" halfExtents="1000, 1000, 1" />
@@ -83,5 +80,5 @@
 
     
-    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <Light type=directional position="-50,500,-50" direction="0.577, -0.577, 0.577" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
     <SpawnPoint team=0 position="50,20,50" lookat="100,20,100" spawnclass=HoverShip pawndesign=spaceshiphover />
     
Index: code/branches/hoverHS15/data/levels/templates/spaceshipHover.oxt
===================================================================
--- code/branches/hoverHS15/data/levels/templates/spaceshipHover.oxt	(revision 10926)
+++ code/branches/hoverHS15/data/levels/templates/spaceshipHover.oxt	(revision 10928)
@@ -18,9 +18,9 @@
    reloadwaittime      = 0.5
 
-   primaryThrust     = 100
+   primaryThrust     = 200
    auxilaryThrust    = 30
    rotationThrust    = 25
 
-   jumpBoost = 30
+   jumpBoost = 90
 
    lift = 1;
Index: code/branches/hoverHS15/src/modules/hover/Hover.cc
===================================================================
--- code/branches/hoverHS15/src/modules/hover/Hover.cc	(revision 10926)
+++ code/branches/hoverHS15/src/modules/hover/Hover.cc	(revision 10928)
@@ -109,4 +109,5 @@
     void Hover::tick(float dt)
     {
+
         SUPER(Hover, tick, dt);
 
@@ -125,4 +126,12 @@
             LevelOut();
             firstTick = false;
+
+            //Outer Walls
+            for(int i = 0; i<10; i++){
+                new HoverWall(origin_->getContext(), 0, i+1, 1);
+                new HoverWall(origin_->getContext(), 10, i+1, 1);
+                new HoverWall(origin_->getContext(), i+1, 0, 2);
+                new HoverWall(origin_->getContext(), i+1, 10, 2);
+            }
 
             for(int y=0; y<10; y++){
Index: code/branches/hoverHS15/src/modules/hover/HoverFlag.cc
===================================================================
--- code/branches/hoverHS15/src/modules/hover/HoverFlag.cc	(revision 10926)
+++ code/branches/hoverHS15/src/modules/hover/HoverFlag.cc	(revision 10928)
@@ -96,7 +96,4 @@
     {
         SUPER(HoverFlag, XMLPort, xmlelement, mode);
-
-       // XMLPortParam(HoverFlag, "height", setHeight, getHeight, xmlelement, mode);
-        //XMLPortParam(HoverFlag, "width", setWidth, getWidth, xmlelement, mode);
     }
 
@@ -119,24 +116,6 @@
     bool HoverFlag::collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint)
     {
-        
-
-        if(otherObject->isA(Class(HoverShip))){
-
-            orxout()<<"TestCollision"<<endl;
+        if(otherObject->isA(Class(HoverShip)))
             collided_ = true;
-            //this->destroyLater();
-        }
-
-
-        /*if (GameMode::isMaster() && enableCollisionDamage_)
-        {
-            Pawn* victim = orxonox_cast<Pawn*>(otherObject);
-            if (victim)
-            {
-                float damage = this->collisionDamage_ * (victim->getVelocity() - this->getVelocity()).length();
-                victim->hit(0, contactPoint, ownCollisionShape, damage);
-            }
-        }*/
-
         return false;
     }