Index: code/branches/hoverHS15/src/modules/hover/Hover.cc
===================================================================
--- code/branches/hoverHS15/src/modules/hover/Hover.cc	(revision 10929)
+++ code/branches/hoverHS15/src/modules/hover/Hover.cc	(revision 10930)
@@ -21,7 +21,7 @@
  *
  *   Author:
- *      Florian Zinggeler
+ *      Manuel Meier
  *   Co-authors:
- *      ...
+ *      Cyrill Muskelprotz
  *
  */
@@ -29,5 +29,5 @@
 /**
     @file Hover.cc
-    @brief Implementation of the Hover class.
+    @brief Implementation of the Hover class. Sets up the whole Minigame
 */
 
@@ -51,4 +51,10 @@
 {
     bool firstTick = true;
+
+    //Levelcode represents the pitch: It's a 10x10 field. 
+    // 1 represents a Wall on the right side of this square
+    // 2 represents a Wall on the top of this square
+    // 3 represents 2 and 1 at the same time
+    // Note: the levelcode is generated from the Maze-Generator functions at the beginning of the game
     int levelcode[10][10] =
         {
@@ -122,7 +128,5 @@
             g_PtY=0;
             GenerateMaze();
-            MazeOut();
             RenderMaze();
-            LevelOut();
             firstTick = false;
 
@@ -135,4 +139,5 @@
             }
 
+            //Generate inner Walls according to levelcode
             for(int y=0; y<10; y++){
                 for(int x=0; x<10; x++){
@@ -150,14 +155,13 @@
             }
 
-
+            //Generate 5 flags randomly
             for ( int i = 0; i < 5; i++ )
                 flagVector.push_back(new HoverFlag(origin_->getContext(), rand()%10, rand()%10));
 
             Flags_ = flagVector.size();
-            
-            //new HoverFlag(origin_->getContext()); //Rechts in Y Richtung
-            //new HoverWall(origin_->getContext(), 5, 6, 0); //Ueber in x richtung
-            //new HoverWall(origin_->getContext(), 5, 5, 0); //Ueber in x richtung
-        }
+
+        }//firsttick end
+
+        // Check if ship collided with one of the flags
         for ( int i = 0; i < flagVector.size(); i++ ){
             if(flagVector[i]->getCollided()){
@@ -200,6 +204,5 @@
 
 
-    ////////////////////////////////////////////////////////////////////////////
-
+    // Some definitions for the Maze-Generator
 
     //                   0  1  2  3  4  5  6  7  8
@@ -220,6 +223,8 @@
 
 
-    ////////////////////////////////////////////////////////////////////////////
-
+    /**
+    @brief
+        Checks if Direction is valid (for Maze-Generator)
+    */
     bool Hover::IsDirValid( eDirection Dir )
     {
@@ -232,4 +237,8 @@
     }
 
+    /**
+    @brief
+        Generates new Direction (for Maze-Generator)
+    */
     eDirection Hover::GetDirection()
     {
@@ -259,4 +268,8 @@
     }
 
+    /**
+    @brief
+        Generates a Maze (for Maze-Generator)
+    */
     void Hover::GenerateMaze()
     {
@@ -265,7 +278,4 @@
         for ( eDirection Dir = GetDirection(); Dir != eDirection_Invalid; Dir = GetDirection() )
         {
-            // a progress indicator, kind of
-           // if ( ++Cells % 1000 == 0 ) std::cout << ".";
-
             g_Maze[ CellIdx() ] |= Dir;
 
@@ -275,9 +285,10 @@
             g_Maze[ CellIdx() ] = Mask[ Dir ];
         }
-
-        std::cout << std::endl;
     }  
     
-
+    /**
+    @brief
+        Print Maze (for Debugging only)
+    */
     void Hover::MazeOut(){
         for ( int y = 0; y < NumCells; y++ )
@@ -302,4 +313,8 @@
     }
 
+    /**
+    @brief
+        Print Levelcode (for Debugging only)
+    */
     void Hover::LevelOut(){
         for ( int y = 0; y < NumCells; y++ )
@@ -307,5 +322,5 @@
             for ( int x = 0; x < NumCells; x++ )
             {
-                /*orxout()<<"[";
+                orxout()<<"[";
                 if ( levelcode[x][y] < 2) orxout()<<"U";
                 else orxout()<<" ";
@@ -315,15 +330,14 @@
                 orxout()<<" ";
                 orxout()<<" ";
-                orxout()<<"]";*/
-
-                orxout()<<levelcode[x][y];
+                orxout()<<"]";
             }
             orxout()<<endl;
         }
-
-
-
-    }
-
+    }
+
+    /**
+    @brief
+        Generate Levelcode from Maze
+    */
     void Hover::RenderMaze()
     {
@@ -336,6 +350,4 @@
                 if ( !( v & eDirection_Up    ) && y >0) levelcode[y][x] |= 2;
                 if ( !( v & eDirection_Right ) && x <9) levelcode[y][x] |= 1;
-                //if ( !( v & eDirection_Down  ) && y>0) levelcode[x][y-1] += 2;
-                //if ( !( v & eDirection_Left  ) && x>0) levelcode[x-1][y] += 1;
             }
         }
Index: code/branches/hoverHS15/src/modules/hover/Hover.h
===================================================================
--- code/branches/hoverHS15/src/modules/hover/Hover.h	(revision 10929)
+++ code/branches/hoverHS15/src/modules/hover/Hover.h	(revision 10930)
@@ -20,8 +20,8 @@
  *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  *
- *   Author:
- *      Florian Zinggeler
+ *   Master of Desaster:
+ *      Manuel Meier
  *   Co-authors:
- *      ...
+ *      Cyrill Muskelprotz
  *
  */
@@ -29,5 +29,5 @@
 /**
     @file Hover.h
-    @brief Gametype.
+    @brief Gametype. For more information see .cc file
     @ingroup Hover
 */
@@ -37,8 +37,5 @@
 
 #include "HoverPrereqs.h"
-#include "HoverOrigin.h" // Necessary for WeakPointer
-//#include "HoverShip.h"        DO NOT include in Header. Will cause forward declaration issues
-
-//#include "HoverHUDinfo.h"
+#include "HoverOrigin.h" 
 
 #include "gametypes/Gametype.h"
@@ -80,8 +77,5 @@
             virtual void end();
 
-            virtual void tick(float dt);
-
-            // void setOrigin(HoverOrigin* center)
-            //    { center_ = center; }           
+            virtual void tick(float dt);          
 
             void setOrigin(HoverOrigin* origin)
Index: code/branches/hoverHS15/src/modules/hover/HoverFlag.cc
===================================================================
--- code/branches/hoverHS15/src/modules/hover/HoverFlag.cc	(revision 10929)
+++ code/branches/hoverHS15/src/modules/hover/HoverFlag.cc	(revision 10930)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabien Vultier
+ *      Manuel Meier
  *   Co-authors:
  *      ...
@@ -29,5 +29,5 @@
 /**
     @file HoverFlag.cc
-    @brief All platforms in this minigame inherit from this class. The basic functions of a platform (interact with figure) is implemented here. Special functions are implemented in the specialized classes.
+    @brief The Flags that are being set in the Hover Minigame They support two coordinates from 0-9 each
 */
 
@@ -56,4 +56,12 @@
     }
 
+    /**
+    @brief
+        Constructor that expects two coordinate-values in the range 0-9
+    @param xCoordinate
+        X-Coordinate of the flage, 0-9, origin is bottom left
+    @param yCoordinate
+        Y-Coordinate of the flage, 0-9, origin is bottom left
+    */
     HoverFlag::HoverFlag(Context* context, int xCoordinate, int yCoordinate) : StaticEntity(context)
     {
@@ -92,5 +100,5 @@
     }
 
-    //xml port for loading height and width of the platform
+    //xml port unused
     void HoverFlag::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -104,5 +112,4 @@
     @brief
         Is called every tick.
-        Handles the movement of the ball and its interaction with the boundaries and bats.
     @param dt
         The time since the last tick.
@@ -114,4 +121,8 @@
     }
 
+    /**
+    @brief
+        Checks if the Hovership collided with the flag
+    */
     bool HoverFlag::collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint)
     {
Index: code/branches/hoverHS15/src/modules/hover/HoverFlag.h
===================================================================
--- code/branches/hoverHS15/src/modules/hover/HoverFlag.h	(revision 10929)
+++ code/branches/hoverHS15/src/modules/hover/HoverFlag.h	(revision 10930)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabien Vultier
+ *      Manuel Meier
  *   Co-authors:
  *      ...
@@ -29,6 +29,6 @@
 /**
     @file HoverFlag.h
-    @brief Declaration of the HoverFlag class.
-    @ingroup Jump
+    @brief See .cc File
+    @ingroup Hover
 */
 
Index: code/branches/hoverHS15/src/modules/hover/HoverOrigin.cc
===================================================================
--- code/branches/hoverHS15/src/modules/hover/HoverOrigin.cc	(revision 10929)
+++ code/branches/hoverHS15/src/modules/hover/HoverOrigin.cc	(revision 10930)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabien Vultier
+ *      Manuel Meier
  *   Co-authors:
  *      ...
Index: code/branches/hoverHS15/src/modules/hover/HoverOrigin.h
===================================================================
--- code/branches/hoverHS15/src/modules/hover/HoverOrigin.h	(revision 10929)
+++ code/branches/hoverHS15/src/modules/hover/HoverOrigin.h	(revision 10930)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabien Vultier
+ *      Manuel Meier
  *   Co-authors:
  *      ...
Index: code/branches/hoverHS15/src/modules/hover/HoverWall.cc
===================================================================
--- code/branches/hoverHS15/src/modules/hover/HoverWall.cc	(revision 10929)
+++ code/branches/hoverHS15/src/modules/hover/HoverWall.cc	(revision 10930)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabien Vultier
+ *      Manuel Meier
  *   Co-authors:
  *      ...
@@ -29,5 +29,5 @@
 /**
     @file HoverWall.cc
-    @brief All platforms in this minigame inherit from this class. The basic functions of a platform (interact with figure) is implemented here. Special functions are implemented in the specialized classes.
+    @brief Represents one Wall piece in the Hover Game
 */
 
@@ -54,4 +54,15 @@
     }
 
+
+    /**
+    @brief
+        Constructor of a HoverWall
+    @param x
+        x-Coordinate of the Square that the Wall is attached to, 0-9, Origin is Bottom left
+    @param y
+        y-Coordinate of the Square that the Wall is attached to, 0-9, Origin is Bottom left
+    @param orientation
+            Wall on the right side (1) or on top (2) of this square, 0-1        
+    */
     HoverWall::HoverWall(Context* context, int x, int y, int orientation) : StaticEntity(context)
     {
@@ -101,11 +112,8 @@
     }
 
-    //xml port for loading height and width of the platform
+    //xml port for loading height and width of the platform, unused
     void HoverWall::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
         SUPER(HoverWall, XMLPort, xmlelement, mode);
-
-       // XMLPortParam(HoverWall, "height", setHeight, getHeight, xmlelement, mode);
-        //XMLPortParam(HoverWall, "width", setWidth, getWidth, xmlelement, mode);
     }
 
Index: code/branches/hoverHS15/src/modules/hover/HoverWall.h
===================================================================
--- code/branches/hoverHS15/src/modules/hover/HoverWall.h	(revision 10929)
+++ code/branches/hoverHS15/src/modules/hover/HoverWall.h	(revision 10930)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabien Vultier
+ *      Manuel Meier
  *   Co-authors:
  *      ...
@@ -29,6 +29,6 @@
 /**
     @file HoverWall.h
-    @brief Declaration of the HoverWall class.
-    @ingroup Jump
+    @brief See .cc-file for further information
+    @ingroup Hover
 */
 