Index: /code/branches/campaignHS15/data/levels/expeditionSector.oxw
===================================================================
--- /code/branches/campaignHS15/data/levels/expeditionSector.oxw	(revision 10931)
+++ /code/branches/campaignHS15/data/levels/expeditionSector.oxw	(revision 10932)
@@ -1,8 +1,7 @@
-<!--TODO: Rename screenshot as soon as it is in data_extern branch -->
 <LevelInfo
     name = "Expedition to Sector 5C"
     description = "Commander, our scientists are reporting strange binary radio signals from a yet unexplored and thought to be uninhabited region, sector 5C. Explore the sector and get to the bottom of these messages!"
     tags = "mission"
-    screenshot = "missionOne.png"
+    screenshot = "expeditionSector.png"
 />
 
Index: /code/branches/campaignHS15/data/levels/shuttleAttack.oxw
===================================================================
--- /code/branches/campaignHS15/data/levels/shuttleAttack.oxw	(revision 10931)
+++ /code/branches/campaignHS15/data/levels/shuttleAttack.oxw	(revision 10932)
@@ -1,3 +1,2 @@
-<!--TODO: Rename screenshot as soon as it is in data_extern branch -->
 <!--TODO: Shuttle and Stations -->
 <LevelInfo
@@ -5,5 +4,5 @@
     description = "The newly discovered hostile alien species is attacking one of our outset stations, Andromeda! There is no protecting it; you have to escort the escape shuttle to a safer location."
     tags = "mission"
-    screenshot = "missionOne.png"
+    screenshot = "shuttleProtect.png"
 />
 
Index: /code/branches/campaignHS15/data/levels/shuttleRetaliation.oxw
===================================================================
--- /code/branches/campaignHS15/data/levels/shuttleRetaliation.oxw	(revision 10931)
+++ /code/branches/campaignHS15/data/levels/shuttleRetaliation.oxw	(revision 10932)
@@ -1,8 +1,7 @@
-<!--TODO: Rename screenshot as soon as it is in data_extern branch -->
 <LevelInfo
     name = "Retaliation"
     description = "This attack cannot be met with no consequences! Commander, we order you to get back to sector 5C and erradicate the alien menace at once!"
     tags = "mission"
-    screenshot = "missionOne.png"
+    screenshot = "retailiation.png"
 />
 
Index: /code/branches/campaignHS15/data/levels/templates/spaceshipShuttle.oxt
===================================================================
--- /code/branches/campaignHS15/data/levels/templates/spaceshipShuttle.oxt	(revision 10931)
+++ /code/branches/campaignHS15/data/levels/templates/spaceshipShuttle.oxt	(revision 10932)
@@ -24,5 +24,5 @@
     </engines>
     <attached>
-      <Model position="0,0,0" yaw=0 pitch=0 roll=0 scale=10 mesh="Spaceshiptransporter.mesh" />
+      <Model position="0,0,0" yaw=180 pitch=0 roll=0 scale=10 mesh="Transporterspaceship.mesh" />
     </attached>
     <collisionShapes>
@@ -81,10 +81,11 @@
     </EffectContainer>
     <EffectContainer condition="normal or boost">
-      <Backlight mainstate=activity active=false scale=2 name=bltest position=" 22, -10, 87" colour="1, 0.7, 0.1, 1.0" width=10 length=3000 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
-      <Backlight mainstate=activity active=false scale=2 name=bltest position="-22, -10, 87" colour="1, 0.7, 0.1, 1.0" width=10 length=3000 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=2 name=bltest position=" -80, 25, -85" colour="1, 0.7, 0.1, 1.0" width=10 length=3000 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
     </EffectContainer>
     <EffectContainer condition="boost">
-      <Backlight mainstate=activity active=false scale=3 name=bltest position=" 22, -10, 87" colour="1, 0.7, 0.1, 0.7" width=25 length=2000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
-      <Backlight mainstate=activity active=false scale=3 name=bltest position="-22, -10, 87" colour="1, 0.7, 0.1, 0.7" width=25 length=2000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=3 name=bltest position=" -85, -105, 25" colour="1, 0.7, 0.1, 0.7" width=25 length=2000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=3 name=bltest position=" -72, 75, 25" colour="1, 0.7, 0.1, 0.7" width=25 length=2000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=3 name=bltest position=" 85, -105, 25" colour="1, 0.7, 0.1, 0.7" width=25 length=2000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=3 name=bltest position=" 75, 75, 25" colour="1, 0.7, 0.1, 0.7" width=25 length=2000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
     </EffectContainer>
     <EffectContainer condition="brake">