Index: code/branches/campaignHS15/src/orxonox/controllers/ActionpointController.cc
===================================================================
--- code/branches/campaignHS15/src/orxonox/controllers/ActionpointController.cc	(revision 10927)
+++ code/branches/campaignHS15/src/orxonox/controllers/ActionpointController.cc	(revision 10934)
@@ -40,4 +40,7 @@
     ActionpointController::ActionpointController(Context* context) : FightingController(context)
     {
+        this->actionpointControllerId_ = 0;
+        ActionpointController::sTicks_ = 0;
+        ActionpointController::nextActionpointControllerId_ = 0;
         this->ticks_ = 0;
         this->bPatrolling_ = false;
@@ -48,5 +51,4 @@
         parsedActionpoints_.clear();
         actionpoints_.clear();
-
         this->bTakenOver_ = false;
         this->action_ = Action::NONE;
@@ -92,7 +94,8 @@
         parsedActionpoints_.clear();
         actionpoints_.clear();
-        ActionpointController::nextActionpointControllerId_--;
+        this->actionpointControllerId_ = 0;
+        /*ActionpointController::nextActionpointControllerId_--;
         if (ActionpointController::nextActionpointControllerId_ < 0)
-            ActionpointController::nextActionpointControllerId_ = 0;
+            ActionpointController::nextActionpointControllerId_ = 0;*/
     }
     void ActionpointController::tick(float dt)
@@ -121,8 +124,8 @@
                 this->action_ = Action::FIGHTALL;
             }
+            //orxout (internal_error) << "first tick was called by id = " << this->actionpointControllerId_ << ", total = " << ActionpointController::nextActionpointControllerId_ << endl;
         }
         if (ActionpointController::sTicks_ == 1)
         {    
-            this->timeOffset_ = 0.0f;
             this->bActionCalled_ = false;
             
@@ -152,7 +155,5 @@
             return;
         
-        this->timeOffset_ += dt;
-        if (this->timeOffset_ >= 2.4f)
-            this->timeOffset_ = 0.0f;
+
         if (timeout_ <= 0)
             this->bFiredRocket_ = false;
@@ -163,5 +164,5 @@
         if (this->timeout_ > 0 && this->bFiredRocket_)
         {
-            this->timeout_ -= dt;
+            --this->timeout_;
         }
    
@@ -188,6 +189,7 @@
         if (!this || !this->getControllableEntity())
             return;
-
-        if (this->hasTarget() &&  ActionpointController::sTicks_ % (ActionpointController::nextActionpointControllerId_ + 1) == (this->actionpointControllerId_))
+       /* orxout (internal_error) << "id = " << this->actionpointControllerId_ << ", in total # ids = " << ActionpointController::nextActionpointControllerId_ 
+        << ", I " << (this->hasTarget() ? "have" : "don't have") << " a target, my team is " << this->getControllableEntity()->getTeam() << endl;
+       */ if (this->hasTarget() &&  ActionpointController::sTicks_ % (ActionpointController::nextActionpointControllerId_ + 1) == (this->actionpointControllerId_))
         {
 
Index: code/branches/campaignHS15/src/orxonox/controllers/ActionpointController.h
===================================================================
--- code/branches/campaignHS15/src/orxonox/controllers/ActionpointController.h	(revision 10927)
+++ code/branches/campaignHS15/src/orxonox/controllers/ActionpointController.h	(revision 10934)
@@ -252,5 +252,4 @@
                 std::multimap <int, std::pair<PickupSpawner*, bool> > speedSpawners_; 
 */
-                float timeOffset_;
                 bool bActionCalled_;
                 bool bManeuverCalled_;
Index: code/branches/campaignHS15/src/orxonox/controllers/FightingController.cc
===================================================================
--- code/branches/campaignHS15/src/orxonox/controllers/FightingController.cc	(revision 10927)
+++ code/branches/campaignHS15/src/orxonox/controllers/FightingController.cc	(revision 10934)
@@ -336,5 +336,5 @@
         if (firemode == getFiremode("RocketFire"))
         {
-            this->timeout_ = 0.5f;
+            this->timeout_ = 5;
             this->rocketsLeft_--;
             this->bFiredRocket_ = true;
Index: code/branches/campaignHS15/src/orxonox/controllers/FightingController.h
===================================================================
--- code/branches/campaignHS15/src/orxonox/controllers/FightingController.h	(revision 10927)
+++ code/branches/campaignHS15/src/orxonox/controllers/FightingController.h	(revision 10934)
@@ -91,5 +91,5 @@
             //WEAPONSYSTEM DATA
             int rocketsLeft_;
-            float timeout_;
+            int timeout_;
             bool bFiredRocket_;
             std::map<std::string, int> weaponModes_; //<! Links each "weapon" to it's weaponmode - managed by setupWeapons()