Index: /code/branches/explosionChunksHS15/data/levels/HeavyCruiser.oxw
===================================================================
--- /code/branches/explosionChunksHS15/data/levels/HeavyCruiser.oxw	(revision 10936)
+++ /code/branches/explosionChunksHS15/data/levels/HeavyCruiser.oxw	(revision 10937)
@@ -552,21 +552,25 @@
     All Pawns can easily be included into a level using the lua file "HeavyCruiserParts" -->
 
-    <Pawn team=1 health=100 initialhealth=100 maxhealth=100 position="0,300,-2000" yaw="180" direction="0,0,0" collisionType=dynamic mass=10000 name=HeavyCruiser_body radarname = "HeavyCruiser" >
+    <Pawn team=1 health=1000 initialhealth=1000 maxhealth=1000 position="0,300,-2000" yaw="180" direction="0,0,0" collisionType=dynamic mass=10000 name=HeavyCruiser_body radarname = "HeavyCruiser" >
         <explosion>
-            <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" size=20 />
-            <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" size=20 />
-            <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" size=20 />
-
-            <ExplosionPart offset="50,50,50" minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" size=20 delay=0.3 />
-            <ExplosionPart offset="50,50,50" minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" size=20 delay=0.3 />
-            <ExplosionPart offset="50,50,50" minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" size=20 delay=0.3 />
-
-            <ExplosionPart offset="100,100,100" minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" size=20 delay=0.6 />
-            <ExplosionPart offset="100,100,100" minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" size=20 delay=0.6 />
-            <ExplosionPart offset="100,100,100" minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" size=20 delay=0.6 />
-
-            <ExplosionPart offset="150,150,150" minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" size=20 delay=0.9 />
-            <ExplosionPart offset="150,150,150" minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" size=20 delay=0.9 />
-            <ExplosionPart offset="150,150,150" minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" size=20 delay=0.9 />
+            <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_sparks2" scale=2.5 />
+            <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flame2" scale=2.5 />
+            <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" scale=12 />
+            <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" scale=2.5 />
+
+            <ExplosionPart offset="50,50,50" minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_sparks2" scale=2.5 delay=0.3 />
+            <ExplosionPart offset="50,50,50" minspeed=0 maxspeed=0 effect1="orxonox/explosion_flame2" scale=2.5 delay=0.3 />
+            <ExplosionPart offset="50,50,50" minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" scale=12 delay=0.3 />
+            <ExplosionPart offset="50,50,50" minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" scale=2.5 delay=0.3 />
+
+            <ExplosionPart offset="50,-50,-50" minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_sparks2" scale=2.5 delay=0.6 />
+            <ExplosionPart offset="50,-50,-50" minspeed=0 maxspeed=0 effect1="orxonox/explosion_flame2" scale=2.5 delay=0.6 />
+            <ExplosionPart offset="50,-50,-50" minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" scale=12 delay=0.6 />
+            <ExplosionPart offset="50,-50,-50" minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" scale=2.5 delay=0.6 />
+
+            <ExplosionPart offset="-50,0,50" minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_sparks2" scale=2.5 delay=0.9 />
+            <ExplosionPart offset="-50,0,50" minspeed=0 maxspeed=0 effect1="orxonox/explosion_flame2" scale=2.5 delay=0.9 />
+            <ExplosionPart offset="-50,0,50" minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" scale=12 delay=0.9 />
+            <ExplosionPart offset="-50,0,50" minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" scale=2.5 delay=0.9 />
         </explosion>
         <attached>
Index: /code/branches/explosionChunksHS15/data/levels/templates/spaceshipAssff.oxt
===================================================================
--- /code/branches/explosionChunksHS15/data/levels/templates/spaceshipAssff.oxt	(revision 10936)
+++ /code/branches/explosionChunksHS15/data/levels/templates/spaceshipAssff.oxt	(revision 10937)
@@ -61,8 +61,8 @@
       <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
 
-      <ExplosionPart mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" direction="0,1,0" angle=30 />
-      <ExplosionPart mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" direction="0,1,0" angle=30 />
-      <ExplosionPart mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" direction="0,1,0" angle=30 />
-      <ExplosionPart mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" direction="0,1,0" angle=30 />
+      <ExplosionPart mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
     </explosion>
 <?lua
Index: /code/branches/explosionChunksHS15/data/levels/templates/spaceshipPirate.oxt
===================================================================
--- /code/branches/explosionChunksHS15/data/levels/templates/spaceshipPirate.oxt	(revision 10936)
+++ /code/branches/explosionChunksHS15/data/levels/templates/spaceshipPirate.oxt	(revision 10937)
@@ -55,5 +55,5 @@
     <explosion>
       <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
-      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" scale=2 />
       <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
 
Index: /code/branches/explosionChunksHS15/src/libraries/tools/ParticleInterface.cc
===================================================================
--- /code/branches/explosionChunksHS15/src/libraries/tools/ParticleInterface.cc	(revision 10936)
+++ /code/branches/explosionChunksHS15/src/libraries/tools/ParticleInterface.cc	(revision 10937)
@@ -233,3 +233,8 @@
             this->particleSystem_->setKeepParticlesInLocalSpace(keep);
     }
+
+    void ParticleInterface::setDimensions(float scale)
+    {
+        this->particleSystem_->setDefaultDimensions(scale * this->particleSystem_->getDefaultWidth(), scale * this->particleSystem_->getDefaultHeight());
+    }
 }
Index: /code/branches/explosionChunksHS15/src/libraries/tools/ParticleInterface.h
===================================================================
--- /code/branches/explosionChunksHS15/src/libraries/tools/ParticleInterface.h	(revision 10936)
+++ /code/branches/explosionChunksHS15/src/libraries/tools/ParticleInterface.h	(revision 10937)
@@ -75,4 +75,6 @@
             void setDetailLevel(unsigned int level);
 
+            void setDimensions(float scale);
+
         protected:
             virtual void changedTimeFactor(float factor_new, float factor_old);
Index: /code/branches/explosionChunksHS15/src/modules/dodgerace/DodgeRace.cc
===================================================================
--- /code/branches/explosionChunksHS15/src/modules/dodgerace/DodgeRace.cc	(revision 10936)
+++ /code/branches/explosionChunksHS15/src/modules/dodgerace/DodgeRace.cc	(revision 10937)
@@ -71,8 +71,12 @@
             for (int i = 0; i < 7; i++)
             {
-                BigExplosion* chunk = new BigExplosion(this->center_->getContext());
-                chunk->setPosition(Vector3(600, 0, 100.f * i - 300));
-                chunk->setVelocity(Vector3(1000, 0, 0));  //player->getVelocity()
-                chunk->setScale(20);
+                WeakPtr<ExplosionPart> chunk5 = new ExplosionPart(this->center_->getContext());
+                chunk5->setPosition(Vector3(600, 0, 100.f * i - 300));
+                chunk5->setVelocity(Vector3(1000, 0, 0));  //player->getVelocity()
+                chunk5->setScale(10);
+                chunk5->setEffect1("Orxonox/explosion2b");
+                chunk5->setEffect2("Orxonox/smoke6");
+                chunk5->Explode();
+
             }
         }
Index: /code/branches/explosionChunksHS15/src/modules/dodgerace/DodgeRace.h
===================================================================
--- /code/branches/explosionChunksHS15/src/modules/dodgerace/DodgeRace.h	(revision 10936)
+++ /code/branches/explosionChunksHS15/src/modules/dodgerace/DodgeRace.h	(revision 10937)
@@ -56,5 +56,4 @@
 
 #include "core/command/ConsoleCommand.h"
-#include "worldentities/BigExplosion.h"
 
 #include "gametypes/Deathmatch.h"
Index: /code/branches/explosionChunksHS15/src/modules/invader/Invader.cc
===================================================================
--- /code/branches/explosionChunksHS15/src/modules/invader/Invader.cc	(revision 10936)
+++ /code/branches/explosionChunksHS15/src/modules/invader/Invader.cc	(revision 10937)
@@ -51,5 +51,5 @@
 
 #include "core/command/ConsoleCommand.h"
-#include "worldentities/BigExplosion.h"
+#include "worldentities/ExplosionPart.h"
 
 namespace orxonox
@@ -82,8 +82,15 @@
             for (int i = 0; i < 7; i++)
             {
-                BigExplosion* chunk = new BigExplosion(this->center_->getContext());
-                chunk->setPosition(Vector3(600, 0, 100.f * i - 300));
-                chunk->setVelocity(Vector3(1000, 0, 0));  //player->getVelocity()
-                chunk->setScale(20);
+
+                WeakPtr<ExplosionPart> chunk5 = new ExplosionPart(this->center_->getContext());
+                chunk5->setPosition(this->center_->getPosition());
+                chunk5->setVelocity(Vector3(1000, 0, 0));  //player->getVelocity()
+                chunk5->setScale(10);
+                chunk5->setEffect1("Orxonox/explosion2b");
+                chunk5->setEffect2("Orxonox/smoke6");
+                chunk5->setMinSpeed(0);
+                chunk5->setMaxSpeed(0);
+                chunk5->Explode();
+
             }
         }
Index: /code/branches/explosionChunksHS15/src/orxonox/OrxonoxPrereqs.h
===================================================================
--- /code/branches/explosionChunksHS15/src/orxonox/OrxonoxPrereqs.h	(revision 10936)
+++ /code/branches/explosionChunksHS15/src/orxonox/OrxonoxPrereqs.h	(revision 10937)
@@ -175,5 +175,4 @@
 
     // worldentities
-    class BigExplosion;
     class CameraPosition;
     class ControllableEntity;
Index: /code/branches/explosionChunksHS15/src/orxonox/items/ShipPart.cc
===================================================================
--- /code/branches/explosionChunksHS15/src/orxonox/items/ShipPart.cc	(revision 10936)
+++ /code/branches/explosionChunksHS15/src/orxonox/items/ShipPart.cc	(revision 10937)
@@ -41,5 +41,4 @@
 #include "worldentities/StaticEntity.h"
 #include "items/PartDestructionEvent.h"
-#include "worldentities/BigExplosion.h"
 #include "chat/ChatManager.h"
 
@@ -105,8 +104,8 @@
     void ShipPart::explode()
     {
-        BigExplosion* chunk = new BigExplosion(this->getContext());
-        chunk->setPosition(this->parent_->getPosition() + this->parent_->getOrientation() * (this->explosionPosition_));
-        //chunk->setPosition(this->parent_->getPosition() + this->parent_->getOrientation() * Vector3(this->entityList_[0]->getLocalInertia()));
-        chunk->setVelocity(this->parent_->getVelocity());
+        // BigExplosion* chunk = new BigExplosion(this->getContext());
+        // chunk->setPosition(this->parent_->getPosition() + this->parent_->getOrientation() * (this->explosionPosition_));
+        // //chunk->setPosition(this->parent_->getPosition() + this->parent_->getOrientation() * Vector3(this->entityList_[0]->getLocalInertia()));
+        // chunk->setVelocity(this->parent_->getVelocity());
 
         // this->explosionSound_->setPosition(this->parent_->getPosition());
Index: /code/branches/explosionChunksHS15/src/orxonox/worldentities/CMakeLists.txt
===================================================================
--- /code/branches/explosionChunksHS15/src/orxonox/worldentities/CMakeLists.txt	(revision 10936)
+++ /code/branches/explosionChunksHS15/src/orxonox/worldentities/CMakeLists.txt	(revision 10937)
@@ -6,5 +6,4 @@
   ControllableEntity.cc
   Drone.cc
-  BigExplosion.cc
   EffectContainer.cc
   ExplosionChunk.cc
Index: /code/branches/explosionChunksHS15/src/orxonox/worldentities/ExplosionPart.cc
===================================================================
--- /code/branches/explosionChunksHS15/src/orxonox/worldentities/ExplosionPart.cc	(revision 10936)
+++ /code/branches/explosionChunksHS15/src/orxonox/worldentities/ExplosionPart.cc	(revision 10937)
@@ -26,4 +26,5 @@
  *
  */
+
 
 
@@ -86,5 +87,4 @@
 		XMLPortParam(ExplosionPart, "direction", setDirection, getDirection, xmlelement, mode).defaultValues(Vector3(1,1,1));
 		XMLPortParam(ExplosionPart, "angle", setAngle, getAngle, xmlelement, mode).defaultValues(180);
-		XMLPortParam(ExplosionPart, "size", setSize, getSize, xmlelement, mode).defaultValues(4);
 		XMLPortParam(ExplosionPart, "delay", setDelay, getDelay, xmlelement, mode).defaultValues(0);
 	}
@@ -120,7 +120,9 @@
 		//this->model_->setSyncMode(0);
 
+
 		if(effect1_ != "")
 		{
 			this->effect1Particle_ = new ParticleInterface(this->getScene()->getSceneManager(), effect1_, this->LOD_);
+			this->effect1Particle_->setDimensions(this->getScale());
 			this->model_->attachOgreObject(this->effect1Particle_->getParticleSystem());
 		}
@@ -129,6 +131,9 @@
 		{
 			this->effect2Particle_ = new ParticleInterface(this->getScene()->getSceneManager(), effect2_, this->LOD_);
+			this->effect2Particle_->setDimensions(this->getScale());
 			this->model_->attachOgreObject(this->effect2Particle_->getParticleSystem());
 		}
+
+
 
 		
@@ -144,7 +149,9 @@
 		this->explosionEntity_->setVelocity(finalDirection*rnd(minSpeed_,maxSpeed_));
         this->explosionEntity_->setAngularVelocity(Vector3(rnd(-1, 1), rnd(-1, 1), rnd(-1, 1)).normalisedCopy() * Degree(400).valueRadians());
-        this->explosionEntity_->setScale(size_);
+        this->explosionEntity_->setScale(this->getScale() * 4);
+
 
         this->explosionEntity_->attach(model_);
+
 
         this->attach(explosionEntity_);
@@ -192,5 +199,5 @@
 	{
 		this->posOffset_ = newVector;
-		this->explosionEntity_->setPosition(this->getPosition() + this->posOffset_);
+		this->explosionEntity_->setPosition(this->getPosition() + this->posOffset_ / this->getScale());
 	}
 
@@ -203,9 +210,4 @@
 	{
 		this->angle_ = newAngle;
-	}
-
-	void ExplosionPart::setSize(float newSize)
-	{
-		this->size_ = newSize;
 	}
 
@@ -249,9 +251,4 @@
 	}
 
-	float ExplosionPart::getSize()
-	{
-		return size_;
-	}
-
 	float ExplosionPart::getDelay()
 	{
Index: /code/branches/explosionChunksHS15/src/orxonox/worldentities/ExplosionPart.h
===================================================================
--- /code/branches/explosionChunksHS15/src/orxonox/worldentities/ExplosionPart.h	(revision 10936)
+++ /code/branches/explosionChunksHS15/src/orxonox/worldentities/ExplosionPart.h	(revision 10937)
@@ -72,6 +72,4 @@
             void setAngle(float newAgnle);
             float getAngle();
-            void setSize(float newSize);
-            float getSize();
             void setDelay(float newDelay);
             float getDelay();
@@ -97,5 +95,4 @@
             Vector3 direction_;
             float angle_;
-            float size_;
             float delay_;
 
Index: /code/branches/explosionChunksHS15/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- /code/branches/explosionChunksHS15/src/orxonox/worldentities/pawns/Pawn.cc	(revision 10936)
+++ /code/branches/explosionChunksHS15/src/orxonox/worldentities/pawns/Pawn.cc	(revision 10937)
@@ -41,5 +41,4 @@
 #include "graphics/ParticleSpawner.h"
 #include "worldentities/ExplosionChunk.h"
-#include "worldentities/BigExplosion.h"
 #include "worldentities/ExplosionPart.h"
 #include "weaponsystem/WeaponSystem.h"
@@ -380,6 +379,4 @@
     void Pawn::goWithStyle()
     {
-        orxout() << "gowithstyle" << endl;
-
 
         this->bAlive_ = false;